<?php // phgstats factory class
/*
* Copyright (c) 2004-2006, woah-projekt.de
* All rights reserved.
*
* Redistribution and use in source and binary forms, with or without
* modification, are permitted provided that the following conditions
* are met:
*
* * Redistributions of source code must retain the above copyright
*   notice, this list of conditions and the following disclaimer.
* * Redistributions in binary form must reproduce the above copyright
*   notice, this list of conditions and the following disclaimer
*   in the documentation and/or other materials provided with the
*   distribution.
* * Neither the name of the phgstats project (woah-projekt.de)
*   nor the names of its contributors may be used to endorse or
*   promote products derived from this software without specific
*   prior written permission.
*
* THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
* "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
* LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
* FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
* COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
* INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
* BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
* LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
* CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
* LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN
* ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
* POSSIBILITY OF SUCH DAMAGE.
*/

class phgstats
{
    function &query($srv_type)
    {
        if ($srv_type == 'aa')
        {
            include_once('aa.class.php');

            $query =& new aa;
            return $query;
        }
        if ($srv_type == 'bf')
        {
            include_once('bf.class.php');

            $query =& new bf;
            return $query;
        }
        if ($srv_type == 'bfv')
        {
            include_once('bfv.class.php');

            $query =& new bfv;
            return $query;
        }
        if ($srv_type == 'bf2')
        {
            include_once('bf2.class.php');

            $query =& new bf2;
            return $query;
        }
        if ($srv_type == 'cod')
        {
            include_once('cod.class.php');

            $query =& new cod;
            return $query;
        }
        if ($srv_type == 'cod2')
        {
            include_once('cod2.class.php');

            $query =& new cod2;
            return $query;
        }
        if ($srv_type == 'fear')
        {
            include_once('fear.class.php');

            $query =& new fear;
            return $query;
        }
        if ($srv_type == 'et')
        {
            include_once('et.class.php');

            $query =& new et;
            return $query;
        }
        elseif ($srv_type == 'hl' || $srv_type == 'hl2')
        {
            include_once('hl.class.php');

            $query =& new hl;
            return $query;
        }
        elseif ($srv_type == 'hl_old')
        {
            include_once('hl_old.class.php');

            $query =& new hl_old;
            return $query;
        }
        elseif ($srv_type == 'mohaa')
        {
            include_once('mohaa.class.php');

            $query =& new mohaa;
            return $query;
        }
        elseif ($srv_type == 'pk')
        {
            include_once('pk.class.php');

            $query =& new pk;
            return $query;
        }
        elseif ($srv_type == 'rtcw')
        {
            include_once('rtcw.class.php');

            $query =& new rtcw;
            return $query;
        }
        elseif ($srv_type == 'rune')
        {
            include_once('rune.class.php');
            $query =& new rune;

            return $query;
        }
        elseif ($srv_type == 'ut')
        {
            include_once('ut.class.php');

            $query =& new ut;
            return $query;
        }
        elseif ($srv_type == 'ut2003' || $srv_type == 'ut2004')
        {
            include_once('ut2004.class.php');

            $query =& new ut2004;
            return $query;
        }
        elseif ($srv_type == 'q1' || $srv_type == 'qw')
        {
            include_once('q1.class.php');

            $query =& new q1;
            return $query;
        }
        elseif ($srv_type == 'q2')
        {
            include_once('q2.class.php');

            $query =& new q2;
            return $query;
        }
        elseif ($srv_type == 'q3')
        {
            include_once('q3a.class.php');

            $query =& new q3;
            return $query;
        }
        elseif ($srv_type == 'q4')
        {
            include_once('q4.class.php');

            $query =& new q4;
            return $query;
        }
        elseif ($srv_type == 'sof2')
        {
            include_once('sof2.class.php');

            $query =& new sof2;
            return $query;
        }
        elseif ($srv_type == 'atron')
        {
            include_once('atron.class.php');

            $query =& new atron;
            return $query;
        }
        elseif ($srv_type == 'd3')
        {
            include_once('d3.class.php');

            $query =& new d3;
            return $query;
        }
        elseif ($srv_type == 'ts')
        {
            include_once('ts.class.php');

            $query =& new ts;
            return $query;
        }
        else
        {
            die ("$srv_type: Server type unkown");
        }
    }
}
?>