<?php // phgstats factory class
/*
* Copyright (c) 2004-2006, woah-projekt.de
* All rights reserved.
*
* Redistribution and use in source and binary forms, with or without
* modification, are permitted provided that the following conditions
* are met:
*
* * Redistributions of source code must retain the above copyright
*   notice, this list of conditions and the following disclaimer.
* * Redistributions in binary form must reproduce the above copyright
*   notice, this list of conditions and the following disclaimer
*   in the documentation and/or other materials provided with the
*   distribution.
* * Neither the name of the phgstats project (woah-projekt.de)
*   nor the names of its contributors may be used to endorse or
*   promote products derived from this software without specific
*   prior written permission.
*
* THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
* "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
* LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
* FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
* COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
* INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
* BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
* LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
* CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
* LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN
* ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
* POSSIBILITY OF SUCH DAMAGE.
*/

class phgstatsnavi
{
    function &query($srv_type)
    {
        if ($srv_type == 'aa_n')
        {
            include_once('aa_n.class.php');

            $query =& new aa_n;
            return $query;
        }
        if ($srv_type == 'bf_n')
        {
            include_once('bf_n.class.php');

            $query =& new bf_n;
            return $query;
        }
        if ($srv_type == 'bfv_n')
        {
            include_once('bfv_n.class.php');

            $query =& new bfvv;
            return $query;
        }
        if ($srv_type == 'bf2_n')
        {
            include_once('bf2_n.class.php');

            $query =& new bf2_n;
            return $query;
        }
        if ($srv_type == 'cod_n')
        {
            include_once('cod_n.class.php');

            $query =& new cod_n;
            return $query;
        }
        if ($srv_type == 'cod2_n')
        {
            include_once('cod2_n.class.php');

            $query =& new cod2_n;
            return $query;
        }
        if ($srv_type == 'fear_n')
        {
            include_once('fear_n.class.php');

            $query =& new fear_n;
            return $query;
        }
        if ($srv_type == 'et_n')
        {
            include_once('et_n.class.php');

            $query =& new et_n;
            return $query;
        }
        elseif ($srv_type == 'hl_n' || $srv_type == 'hl2_n')
        {
            include_once('hl_n.class.php');

            $query =& new hl_n;
            return $query;
        }
        elseif ($srv_type == 'hl_old_n')
        {
            include_once('hl_old_n.class.php');

            $query =& new hl_old_n;
            return $query;
        }
        elseif ($srv_type == 'mohaa_n')
        {
            include_once('mohaa_n.class.php');

            $query =& new mohaa_n;
            return $query;
        }
        elseif ($srv_type == 'pk_n')
        {
            include_once('pk_n.class.php');

            $query =& new pk_n;
            return $query;
        }
        elseif ($srv_type == 'rtcw_n')
        {
            include_once('rtcw_n.class.php');

            $query =& new rtcw_n;
            return $query;
        }
        elseif ($srv_type == 'rune_n')
        {
            include_once('rune_n.class.php');
            $query =& new rune_n;

            return $query;
        }
        elseif ($srv_type == 'ut_n')
        {
            include_once('ut_n.class.php');

            $query =& new ut_n;
            return $query;
        }
        elseif ($srv_type == 'ut2003_n' || $srv_type == 'ut2004_n')
        {
            include_once('ut2004_n.class.php');

            $query =& new ut2004_n;
            return $query;
        }
        elseif ($srv_type == 'q1_n' || $srv_type == 'qw_n')
        {
            include_once('q1_n.class.php');

            $query =& new q1_n;
            return $query;
        }
        elseif ($srv_type == 'q2_n')
        {
            include_once('q2_n.class.php');

            $query =& new q2_n;
            return $query;
        }
        elseif ($srv_type == 'q3_n')
        {
            include_once('q3a_n.class.php');

            $query =& new q3_n;
            return $query;
        }
        elseif ($srv_type == 'q4_n')
        {
            include_once('q4_n.class.php');

            $query =& new q4_n;
            return $query;
        }
        elseif ($srv_type == 'sof2_n')
        {
            include_once('sof2_n.class.php');

            $query =& new sof2_n;
            return $query;
        }
        elseif ($srv_type == 'atron_n')
        {
            include_once('atron_n.class.php');

            $query =& new atron_n;
            return $query;
        }
        elseif ($srv_type == 'd3_n')
        {
            include_once('d3_n.class.php');

            $query =& new d3_n;
            return $query;
        }
        elseif ($srv_type == 'ts_n')
        {
            include_once('ts_n.class.php');

            $query =& new ts_n;
            return $query;
        }
        else
        {
            die ("$srv_type: Server type unkown");
        }
    }
}
?>