<?php
/*
* Copyright (c) 2004-2005, woah-projekt.de
* All rights reserved.
*
* Redistribution and use in source and binary forms, with or without
* modification, are permitted provided that the following conditions
* are met:
*
* * Redistributions of source code must retain the above copyright
*   notice, this list of conditions and the following disclaimer.
* * Redistributions in binary form must reproduce the above copyright
*   notice, this list of conditions and the following disclaimer
*   in the documentation and/or other materials provided with the
*   distribution.
* * Neither the name of the phgstats project (woah-projekt.de)
*   nor the names of its contributors may be used to endorse or
*   promote products derived from this software without specific
*   prior written permission.
*
* THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
* "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
* LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
* FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
* COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
* INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
* BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
* LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
* CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
* LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN
* ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
* POSSIBILITY OF SUCH DAMAGE.
*/
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
  <head>
    <title>phgstats - game server status</title>

    <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">

    <style type="text/css">
    body {
        background: #4E5F71;
        font-family: verdana, arial, sans-serif;
        font-size: 11pt;
    }
    A:link, A:visited, A:active {
        text-decoration: underline;
        color: #ccc;
    }
    A:hover {
        text-decoration: underline;
        color: #ff0000;
    }
    table {
        font-family: verdana, arial, sans-serif;
        font-size: 10pt;
        color: #ccc;
        background-color: #4E5F71;
        width: 400px;
    }
    td {
        color: #ccc;
        background-color: #4B5B6E;
    }
    td.auth {
        color: #ccc;
        background-color: #4E5F71;
    }
    th {
        color: #ffffff;
        background-color: #3B4C5C;
    }
    .arrow:link, .arrow:visited, .arrow:active {
        text-decoration: none;
        color: #4E5F71;
    }
    .arrow:hover {
        text-decoration: none;
        color: #ff0000;
    }
    </style>
  </head>
  <body>
<?php
// language selection
if (!isset ($_GET['lang']))
{
?>
  <table align="center">
    <tr>
      <th align="center">
      phgstats install tool / phgstats Installations-Tool
      </th>
    </tr>
    <tr>
      <td align="center">
      Please select your language / Bitte w&auml;hlen sie ihre Sprache:
      <br><br>
        <a href="index.php?page=2&amp;lang=en">English</a>
        <a href="index.php?page=2&amp;lang=de">Deutsch</a>
      <br><br>
      </td>
    </tr>
    <tr>
      <td align="center">
      Step <b>1</b> of <b>4</b> / Stufe <b>1</b> von <b>4</b>
      </td>
    </tr>
  </table>
<table cellpadding="0" cellspacing="0" border="0" align="center">
<tr align="center"><td>
<a href="http://phgstats.sourceforge.net/" target="_blank">phgstats 0.6.2</a> &copy; 2004-2006 <a href="http://woah-projekt.de/" target="_blank">woah-projekt</a>
</td></tr>
</table></center>
<?php
}
// install information german
elseif ($_GET['page'] == 2 AND $_GET['lang'] == 'de')
{
?>
  <table align="center">
    <tr>
      <th align="center">
      phgstats Installations-Tool
      </th>
    </tr>
    <tr>
      <td align="center">
      Dieses Installationstool hilft ihnen phgstats auf ihrer Internetseite einzurichten. In den n&auml;chsten Seiten werden sie durch ein Men&uuml; gef&uuml;hrt und nach Abschluss der Installation muss das "phgstatsinstall" Verzeichnis gel&ouml;scht werden um Zugriff von Ausserhalb zu vermeiden.
      <br><br>
      Zun&auml;chst wird ihr Webspace auf Kompatiblit&auml;t gepr&uuml;ft...
      <br><br>
      <form action="index.php?page=3&amp;lang=<?php echo $_GET['lang']; ?>" method="POST">
        <input type="submit" value="Weiter">
      </form>
      </td>
    </tr>
    <tr>
      <td align="center">
      Stufe <b>2</b> von <b>4</b>
      </td>
    </tr>
  </table>
<table cellpadding="0" cellspacing="0" border="0" align="center">
<tr align="center"><td>
<a href="http://phgstats.sourceforge.net/" target="_blank">phgstats 0.6.2</a> &copy; 2004-2006 <a href="http://woah-projekt.de/" target="_blank">woah-projekt</a>
</td></tr>
</table></center>
<?php
}
// install information english
elseif ($_GET['page'] == 2 AND $_GET['lang'] == 'en')
{
?>
  <table align="center">
    <tr>
      <th align="center">
      phgstats install tool
      </th>
    </tr>
    <tr>
      <td align="center">
      This installation tool will help you to configure phgstats. On the next pages you have to follow the menu and at the end you have to remove the "phgstatsinstall" directory to prevent actions from outside.
      <br><br>
      At the following step your webspace gets checked if it is compatible...
      <br><br>
        <form action="index.php?page=3&amp;lang=<?php echo $_GET['lang']; ?>" method="POST">
          <input type="submit" value="Next">
        </form>
      </td>
    </tr>
    <tr>
      <td align="center">
      Step <b>2</b> of <b>4</b>
      </td>
    </tr>
  </table>
<table cellpadding="0" cellspacing="0" border="0" align="center">
<tr align="center"><td>
<a href="http://phgstats.sourceforge.net/" target="_blank">phgstats 0.6.2</a> &copy; 2004-2006 <a href="http://woah-projekt.de/" target="_blank">woah-projekt</a>
</td></tr>
</table></center>
<?php
}
// server check german
elseif ($_GET['page'] == 3 AND $_GET['lang'] == 'de')
{
    // get php version
    $check['php'] = phpversion();
    $error = array();

    // check php version
    if (4.3 <= substr($check['php'], 0, 3))
    {
        $check['php_status'] = '<font color="lightgreen">OK</font>';
    }
    elseif (4 <= substr($check['php'], 0, 3) OR empty ($check['php']))
    {
        $check['php_status'] = '<font color="orange">M&ouml;glich</font>';
    }
    else
    {
        $check['php_status'] = '<font color="red">Nicht m&ouml;glich</font>';
        array_push($error,'Die PHP-Version ist zu alt!');
    }

    // check fsockopen
    if (@fsockopen("udp://127.0.0.1", 1))
    {
        $check['fsockopen'] = 'Aktiviert';
        $check['fsockopen_status'] = '<font color="lightgreen">OK</font>';
    }
    else
    {
        $check['fsockopen'] = 'Deaktiviert';
        $check['fsockopen_status'] = '<font color="red">Nicht m&ouml;glich</font>';
        array_push($error,'Die Funktion fsockopen() muss aktiviert sein damit phgstats funktioniert!');
    }

    // check write rights
    if (is_writeable('../phgstats/settings/config.inc.php'))
    {
        $check['config.inc.php'] = 'Schreibbar';
        $check['config.inc.php_status'] = '<font color="lightgreen">OK</font>';
    }
    else
    {
        $check['config.inc.php'] = 'Nicht schreibbar';
        $check['config.inc.php_status'] = '<font color="red">Nicht m&ouml;glich</font>';
        array_push($error,'Die Datei /phgstats/settings/config.inc.php muss schreibbar sein. Setze diese Rechte z.B. mit chmod 777');
    }
    if (is_writeable('../phgstats/settings/config_navi.inc.php'))
    {
        $check['config_navi.inc.php'] = 'Schreibbar';
        $check['config_navi.inc.php_status'] = '<font color="lightgreen">OK</font>';
    }
    else
    {
        $check['config_navi.inc.php'] = 'Nicht schreibbar';
        $check['config_navi.inc.php_status'] = '<font color="red">Nicht m&ouml;glich</font>';
        array_push($error,'Die Datei /phgstats/settings/config_navi.inc.php muss schreibbar sein. Setze diese Rechte z.B. mit chmod 777');
    }
?>
  <table align="center">
    <tr>
      <th align="center">
      phgstats Installations-Tool
      </th>
    </tr>
    <tr>
      <td align="center">
        <table>
          <tr>
            <th>Name</th>
            <th>Typ</th>
            <th>Status</th>
          </tr>
          <tr>
            <td align="center">PHP</td>
            <td align="center"><?php echo $check['php']; ?></td>
            <td align="center"><?php echo $check['php_status']; ?></td>
          </tr>
          <tr>
            <td align="center">fsockopen()</td>
            <td align="center"><?php echo $check['fsockopen']; ?></td>
            <td align="center"><?php echo $check['fsockopen_status']; ?></td>
          </tr>
          <tr>
            <td align="center">config.inc.php</td>
            <td align="center"><?php echo $check['config.inc.php']; ?></td>
            <td align="center"><?php echo $check['config.inc.php_status']; ?></td>
          </tr>
          <tr>
            <td align="center">config_navi.inc.php</td>
            <td align="center"><?php echo $check['config_navi.inc.php']; ?></td>
            <td align="center"><?php echo $check['config_navi.inc.php_status']; ?></td>
          </tr>
        </table>
<?php
if (count($error) == 0)
{
    echo '<br>Ihr Webspace ist kompatibel!';
?>
        <br><br>
        <form action="index.php?page=4&amp;lang=<?php echo $_GET['lang']; ?>&amp;new=1" method="POST">
          <input type="submit" value="Weiter">
        </form>
<?php
}
else
{
    echo '<br>Ihr Webspace ist nicht kompatibel:<br>';
    foreach ($error as $info)
    {
        echo '<br><font color="red">' . $info . '</font>';
    }
?>
      <br><br>
      <form action="index.php?page=3&amp;lang=<?php echo $_GET['lang']; ?>" method="POST">
        <input type="submit" value="Aktualisieren">
      </form>
<?php
}
?>
      </td>
    </tr>
    <tr>
      <td align="center">
      Stufe <b>3</b> von <b>4</b>
      </td>
    </tr>
</table>
<table cellpadding="0" cellspacing="0" border="0" align="center">
<tr align="center"><td>
<a href="http://phgstats.sourceforge.net/" target="_blank">phgstats 0.6.2</a> &copy; 2004-2006 <a href="http://woah-projekt.de/" target="_blank">woah-projekt</a>
</td></tr>
</table></center>
<?php
}
// server check english
elseif ($_GET['page'] == 3 AND $_GET['lang'] == 'en')
{
    // get php version
    $check['php'] = phpversion();
    $error = array();

    // check php version
    if (4.3 <= substr($check['php'], 0, 3))
    {
        $check['php_status'] = '<font color="lightgreen">OK</font>';
    }
    elseif (4 <= substr($check['php'], 0, 3) OR empty ($check['php']))
    {
        $check['php_status'] = '<font color="orange">Possible</font>';
    }
    else
    {
        $check['php_status'] = '<font color="red">Impossible</font>';
        array_push($error,'Your PHP version is too old!');
    }

    // check fsockopen
    if (@fsockopen("udp://127.0.0.1", 1))
    {
        $check['fsockopen'] = 'Enabled';
        $check['fsockopen_status'] = '<font color="lightgreen">OK</font>';
    }
    else
    {
        $check['fsockopen'] = 'Disabled';
        $check['fsockopen_status'] = '<font color="red">Impossible</font>';
        array_push($error,'The function fsockopen() must be enabled to get phgstats working!');
    }

    // check write rights
    if (is_writeable('../phgstats/settings/config.inc.php'))
    {
        $check['config.inc.php'] = 'Writeable';
        $check['config.inc.php_status'] = '<font color="lightgreen">OK</font>';
    }
    else
    {
        $check['config.inc.php'] = 'Not writeable';
        $check['config.inc.php_status'] = '<font color="red">Impossible</font>';
        array_push($error,'File /phgstats/settings/config.inc.php must be writebale. Set write rights with chmod 777 for example');
    }
    if (is_writeable('../phgstats/settings/config_navi.inc.php'))
    {
        $check['config_navi.inc.php'] = 'Writeable';
        $check['config_navi.inc.php_status'] = '<font color="lightgreen">OK</font>';
    }
    else
    {
        $check['config_navi.inc.php'] = 'Not writeable';
        $check['config_navi.inc.php_status'] = '<font color="red">Impossible</font>';
        array_push($error,'File /phgstats/settings/config_navi.inc.php must be writebale. Set write rights with chmod 777 for example');
    }
?>
  <table align="center">
    <tr>
      <th align="center">
      phgstats install tool
      </th>
    </tr>
    <tr>
      <td align="center">
        <table>
          <tr>
            <th>Name</th>
            <th>Type</th>
            <th>Status</th>
          </tr>
          <tr>
            <td align="center">PHP</td>
            <td align="center"><?php echo $check['php']; ?></td>
            <td align="center"><?php echo $check['php_status']; ?></td>
          </tr>
          <tr>
            <td align="center">fsockopen()</td>
            <td align="center"><?php echo $check['fsockopen']; ?></td>
            <td align="center"><?php echo $check['fsockopen_status']; ?></td>
          </tr>
          <tr>
            <td align="center">config.inc.php</td>
            <td align="center"><?php echo $check['config.inc.php']; ?></td>
            <td align="center"><?php echo $check['config.inc.php_status']; ?></td>
          </tr>
          <tr>
            <td align="center">config_navi.inc.php</td>
            <td align="center"><?php echo $check['config_navi.inc.php']; ?></td>
            <td align="center"><?php echo $check['config_navi.inc.php_status']; ?></td>
          </tr>
        </table>
<?php
if (count($error) == 0)
{
    echo '<br>Your webspace is compatible!';
?>
        <br><br>
        <form action="index.php?page=4&amp;lang=<?php echo $_GET['lang']; ?>&amp;new=1" method="POST">
          <input type="submit" value="Next">
        </form>
<?php
}
else
{
    echo '<br>Your webspace is incompatible:<br>';
    foreach ($error as $info)
    {
        echo '<br><font color="red">' . $info . '</font>';
    }
?>
      <br><br>
      <form action="index.php?page=3&amp;lang=<?php echo $_GET['lang']; ?>" method="POST">
        <input type="submit" value="Refresh">
      </form>
<?php
}
?>
      </td>
    </tr>
    <tr>
      <td align="center">
      Step <b>3</b> of <b>4</b>
      </td>
    </tr>
</table>
<table cellpadding="0" cellspacing="0" border="0" align="center">
<tr align="center"><td>
<a href="http://phgstats.sourceforge.net/" target="_blank">phgstats 0.6.2</a> &copy; 2004-2006 <a href="http://woah-projekt.de/" target="_blank">woah-projekt</a>
</td></tr>
</table></center>
<?php
}
// server menu german
elseif ($_GET['page'] == 4 AND $_GET['lang'] == 'de')
{
?>
  <table align="center">
    <tr>
      <th align="center">
      phgstats Installations-Tool
      </th>
    </tr>
    <tr>
      <td align="center">
          <table>
            <tr>
              <th>Installation Abgeschlossen</th>
            </tr>
<table width="100%" class="border" border="0" cellspacing="1" cellpadding="3" align="center">
        <tr>
        </tr><tr>
        <td colspan="3" align="center">Die Datenbank vom ilch Script wurden modifiziert. Im Admin Bereich von ilch kannst du nun deine Gameserver unter "Phgstats" eintragen.<br/><br/></td>
        </tr><tr><td>
      <br>
      Nun <b>m&uuml;ssen</b> sie unbedingt den Ordner <b>"phgstatsinstall"</b> l&ouml;schen!
      <br><br>
      Um weitere Informationen und Support zu bekommen besucht <a target="_blank" href="http://woah-projekt.de">woah-projekt.de</a>
      <br>
      Bei Registrierung eines Accounts k&ouml;nnen sie von uns &uuml;ber Updates infomiert werden.
      <br>
      <br>
      Euer woah-projekt Team
         </td></tr>
         <tr>
      <td align="center">
      Stufe <b>4</b> von <b>4</b>
      </td>
    </tr>
         </table>
<table cellpadding="0" cellspacing="0" border="0" align="center">
<tr align="center"><td>
<a href="http://phgstats.sourceforge.net/" target="_blank">phgstats 0.6.2</a> &copy; 2004-2006 <a href="http://woah-projekt.de/" target="_blank">woah-projekt</a>
</td></tr>
</table></center>
<?php
define ( 'main' , TRUE );
require_once('../include/includes/config.php');
require_once('../include/includes/function/db/mysql.php');
db_connect();
$sql_file = implode('',file('install.sql'));
$sql_statements = explode(';',$sql_file);
foreach ( $sql_statements as $sql_statement ) {
  if ( trim($sql_statement) != '' ) {
    #echo '<pre>'.$sql_statement.'</pre><hr>';
    db_query($sql_statement);
        }
}
}
// server menu english
elseif ($_GET['page'] == 4 AND $_GET['lang'] == 'en')
{
?>
  <table align="center">
    <tr>
      <th align="center">
      phgstats install tool
      </th>
    </tr>
    <tr>
      <td align="center">
          <table>
            <tr>
              <th>Installation finally</th>
            </tr>
<table width="100%" class="border" border="0" cellspacing="1" cellpadding="3" align="center">
        <tr>
        </tr><tr>
        <td colspan="3" align="center">The data base of ilch the Script were modified. In the Admin range from ilch you can register now your Gameserver under "Phgstats".<br/><br/></td>
        </tr><tr><td>
      <br>
      Now you <b>have to</b> delete the directory <b>"phgstatsinstall"</b>!
      <br><br>
      If you want to get more information or support visit <a target="_blank" href="http://woah-projekt.de">woah-projekt.de</a>
      <br>
      When you register an account we can send you an e-mail when a new version gets released.
      <br>
      <br>
      Your woah-projekt team
         </td></tr>
         <tr>
      <td align="center">
      Step <b>4</b> of <b>4</b>
      </td>
    </tr>
</table>
<table cellpadding="0" cellspacing="0" border="0" align="center">
<tr align="center"><td>
<a href="http://phgstats.sourceforge.net/" target="_blank">phgstats 0.6.2</a> &copy; 2004-2006 <a href="http://woah-projekt.de/" target="_blank">woah-projekt</a>
</td></tr>
</table></center>
<?php
define ( 'main' , TRUE );
require_once('../include/includes/config.php');
require_once('../include/includes/function/db/mysql.php');
db_connect();
$sql_file = implode('',file('install.sql'));
$sql_statements = explode(';',$sql_file);
foreach ( $sql_statements as $sql_statement ) {
  if ( trim($sql_statement) != '' ) {
    #echo '<pre>'.$sql_statement.'</pre><hr>';
    db_query($sql_statement);
        }
}
}
?>
</body>
</html>